package com.nhn.example.gateway;

import com.nhn.gameanvil.gateway.GameAnvilGatewayNode;
import com.nhn.gameanvil.node.gateway.IGatewayNode;
import com.nhn.gameanvil.node.gateway.context.IGatewayNodeContext;
import com.nhn.gameanvil.packet.IPayload;

@GameAnvilGatewayNode
public class GatewayNode implements IGatewayNode {
    private IGatewayNodeContext gatewayNodeContext;

    @Override
    public void onCreate(IGatewayNodeContext gatewayNodeContext) {
        this.gatewayNodeContext = gatewayNodeContext;
    }

    @Override
    public void onInit() {

    }

    @Override
    public void onPrepare() {

    }

    @Override
    public void onReady() {

    }

    @Override
    public void onPause(IPayload payload) {

    }

    @Override
    public void onShuttingdown() {

    }

    @Override
    public void onResume(IPayload payload) {

    }
}
